*** gnus-msg.el.orig	Sun Sep  6 19:13:05 1998
--- gnus-msg.el	Tue Sep 29 10:11:42 1998
***************
*** 117,122 ****
--- 117,123 ----
  (defvar gnus-article-copy nil)
  (defvar gnus-last-posting-server nil)
  (defvar gnus-message-group-art nil)
+ (defvar gnus-message-gcc-as-read nil)
  
  (defconst gnus-bug-message
    "Sending a bug report to the Gnus Towers.
***************
*** 967,977 ****
  		       (concat "^" (regexp-quote mail-header-separator) "$")
  		       nil t)
  		  (replace-match "" t t ))
! 		(unless (gnus-request-accept-article group method t)
! 		  (gnus-message 1 "Couldn't store article in group %s: %s"
! 				group (gnus-status-message method))
! 		  (sit-for 2))
! 		(kill-buffer (current-buffer))))))))))
  
  (defun gnus-inews-insert-gcc ()
    "Insert Gcc headers based on `gnus-outgoing-message-group'."
--- 968,998 ----
  		       (concat "^" (regexp-quote mail-header-separator) "$")
  		       nil t)
  		  (replace-match "" t t ))
! 		(let ((accepted (gnus-request-accept-article group method t)))
! 		  (if accepted
! 		      (when gnus-message-gcc-as-read
! 			(let ((articles (if (listp (cdr accepted))
! 					    (cdr accepted)
! 					  (list (cdr accepted)))))
! 			  (gnus-group-remove-mark group)
! 			  ;; Bypass any previous denials from the server.
! 			  (gnus-remove-denial method)
! 			  (gnus-activate-group group 'scan)
! 			  (gnus-retrieve-headers articles group)
! 			  (gnus-summary-update-info)
! 			  (gnus-get-unread-articles-in-group (gnus-get-info group)
! 							     (gnus-active group) t)
! 			  (gnus-summary-update-info)
! 			  (gnus-mark-article-as-read (car articles))
! 			  (gnus-group-make-articles-read group articles)
! 			  (gnus-summary-update-info)
! 			  (unless (gnus-virtual-group-p group)
! 			    (gnus-close-group group))
! 			  (gnus-group-update-group group)))
! 		    (gnus-message 1 "Couldn't store article in group %s: %s"
! 				  group (gnus-status-message method))
! 		    (sit-for 2))
! 		(kill-buffer (current-buffer)))))))))))
  
  (defun gnus-inews-insert-gcc ()
    "Insert Gcc headers based on `gnus-outgoing-message-group'."
---
Nelson Jose dos Santos Ferreira |  .  .  .  | INESC/PT-Servicos 
Systems Integrator              | |. /  / . | Lisbon,PORTUGAL
mailto:Nelson.Ferreira@inesc.pt |.||\| | /  | Phone:+351 (1) 3100050
                                | .|<:/  \. | Fax  :+351 (1) 3100008
